<ion-content>
  <ion-toolbar>
    <ion-buttons slot="start">
      <ion-menu-button></ion-menu-button>
    </ion-buttons>
    <ion-item>
      <ion-label>{{'Facilities >> Add Apartments' | translate}}</ion-label>
    </ion-item>
  </ion-toolbar>
  <ion-card>
    <ion-card-header>
      <ion-card-title>{{'Add Apartments' | translate}}</ion-card-title>
      <ion-card-subtitle>{{'Add apartments'| translate}}</ion-card-subtitle>
    </ion-card-header>
    <ion-card-content>
      <ion-item>
        <ion-label>{{'Add apartments in bulk?'| translate}}</ion-label>
        <ion-toggle [(ngModel)]="isChecked" (ionChange)="change()"></ion-toggle>
      </ion-item>
      <form [formGroup]="form" (ngSubmit)="submitApartments()" (keyup.enter)="submitApartments()" method="post">
        <div *ngIf="isChecked ; else elseBlock">
          <ion-item>
            <ion-label position="floating">{{ 'Total Apartments' | translate }}</ion-label>
            <ion-input formControlName="totalApartments" type="number" >
            </ion-input>
          </ion-item>

          <div style="color: red" *ngIf="form.get('totalApartments').hasError('required') && form.get('totalApartments').touched">
            {{ 'This field is required*' | translate }}</div>

          <ion-item>
            <ion-label position="floating">{{ 'Total Floors' | translate }}</ion-label>
            <ion-input formControlName="totalFloors" type="number" ></ion-input>
          </ion-item>
          <div style="color: red"
            *ngIf="form.get('totalFloors').hasError('required') && form.get('totalFloors').touched">
            {{ 'This field is required*' | translate }}</div>

          <ion-item>
            <ion-label position="floating">{{ 'Prefix' | translate }}</ion-label>
            <ion-input formControlName="prefix" type="text" (ionChange)="calculateApartmentNaming($event)"></ion-input>
          </ion-item>

          <ion-item>
            <ion-label position="floating">{{ 'Suffix' | translate }}</ion-label>
            <ion-input formControlName="postfix" type="text" (ionChange)="calculateApartmentNaming($event)"></ion-input>
          </ion-item>

          <div style="color: red" *ngIf="form.get('prefix').hasError('required') && form.get('prefix').touched">{{ 'This field is required*' | translate }}</div>

          <ion-item>
            <ion-label>{{ 'Type' | translate }}</ion-label>
            <ion-select formControlName="type" placeholder="Select One" interface="action-sheet"
              (ionChange)="calculateApartmentNaming($event)">
              <ion-select-option value="1">1,2,3..N</ion-select-option>
              <ion-select-option value="101">101,102,103...10N</ion-select-option>
            </ion-select>
          </ion-item>

          <div style="color: red" *ngIf="form.get('type').hasError('required') && form.get('type').touched">{{ 'This field is required*' | translate }}</div>

          <ion-item>
            <ion-label position="floating">{{apartments[0]?.name}} - {{ 'click to Preview' | translate }}</ion-label>
            <ionic-selectable #selectComponent formControlName="apartmentConfirmation" [items]="apartments"
              [isMultiple]="true" headerColor="primary" (onChange)="onPreviewConfirm($event)" [shouldBackdropClose]="true"
              name="apartmentConfirmation" [canSearch]="true" itemTextField="name" (onOpen)="onOpen()"
              (onClose)="onClose()">

              <ng-template ionicSelectableCloseButtonTemplate>
                <ion-icon name="close-circle"></ion-icon>
              </ng-template>

              <ng-template ionicSelectableTitleTemplate>
                {{ 'Apartment Name Preview' | translate }}
              </ng-template>

              <ng-template ionicSelectableItemTemplate let-apartment="item">
                {{ apartment.name }}
              </ng-template>

              <ng-template ionicSelectableFooterTemplate>
                <ion-footer>
                  <ion-toolbar>
                    <ion-row text-center>
                      <ion-col>
                        <ion-button fill="clear" (click)="selectAll()">{{ 'Select All' | translate }}</ion-button>
                      </ion-col>
                      <ion-col>
                        <ion-button fill="clear" (click)="clear()">{{ 'Cancel' | translate }}</ion-button>
                      </ion-col>
                      <ion-col>
                        <ion-button fill="clear" (click)="confirm()">{{ 'Confirm' | translate }}</ion-button>
                      </ion-col>
                    </ion-row>
                  </ion-toolbar>
                </ion-footer>
              </ng-template>

            </ionic-selectable>
          </ion-item>

          <ion-button type="submit" expand="full" color="primary" [disabled]="!form.valid">
            {{'Add Apartments' | translate }}</ion-button>
        </div>

        <ng-template #elseBlock>
          <ion-item>
            <ion-label position="floating">{{facilityType| titlecase| translate }}{{ 'Name' | translate}}</ion-label>
            <ion-input formControlName="name" type="text" name="name"></ion-input>
          </ion-item>

          <div style="color: red;" *ngIf="form.get('name').hasError('required') && form.get('name').touched">
            {{ 'This field is required*' | translate }}
          </div>

          <ion-button type="submit" expand="full" color="primary" [disabled]="!form.valid">
            {{'Add Apartment' | translate }}</ion-button>
        </ng-template>

      </form>
    </ion-card-content>
  </ion-card>
</ion-content>